summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/hatchling/Manifest1
-rw-r--r--dev-python/hatchling/hatchling-1.12.1.ebuild77
-rw-r--r--dev-python/jaraco-test/Manifest1
-rw-r--r--dev-python/jaraco-test/jaraco-test-5.3.0.ebuild39
-rw-r--r--dev-python/pikepdf/Manifest1
-rw-r--r--dev-python/pikepdf/pikepdf-6.2.7.ebuild62
-rw-r--r--dev-python/pip-run/Manifest1
-rw-r--r--dev-python/pip-run/pip-run-10.0.2.ebuild64
-rw-r--r--dev-python/pypdf/Manifest2
-rw-r--r--dev-python/pypdf/metadata.xml10
-rw-r--r--dev-python/pypdf/pypdf-3.2.0.ebuild62
-rw-r--r--dev-python/time-machine/Manifest1
-rw-r--r--dev-python/time-machine/time-machine-2.9.0.ebuild36
-rw-r--r--dev-python/xlsxwriter/Manifest1
-rw-r--r--dev-python/xlsxwriter/xlsxwriter-3.0.5.ebuild28
15 files changed, 386 insertions, 0 deletions
diff --git a/dev-python/hatchling/Manifest b/dev-python/hatchling/Manifest
index 9f3d31e68e79..b7e3fee6cf73 100644
--- a/dev-python/hatchling/Manifest
+++ b/dev-python/hatchling/Manifest
@@ -1,2 +1,3 @@
DIST hatch-hatchling-v1.11.1.gh.tar.gz 367624 BLAKE2B 006f9f9ab266eba7b7e489d4359a9ddb17a6e079c31e189662da8c4d090884eeae4bf108301d5c315d823e92cb813841e41211cc55618f4ee9109bccdde61e1e SHA512 7bdf5a2930950503dbe534f6ead724ed84420193ba55137600a5b98a085e94588e333bb5a14ad944746dc400522ebbea4849718686420fd6ed7de3d6e8852d8e
DIST hatch-hatchling-v1.12.0.gh.tar.gz 379902 BLAKE2B 831ab78bff6a039a1941ca171aaccbfb97d1d31c14505d3dde60ee4283b317cc80b6e6072b63fe9e69cccbf759bf4f7db6a371502451ffa5303547273e8d2341 SHA512 40c1684bcc730e809cdbda9d15494f07bead69b1b4bf9c98a1d2a84d2053bb7b104d6bcab1e72a4de66081dd839b7ccae96d877760353e3528e8676cea5d2a5c
+DIST hatch-hatchling-v1.12.1.gh.tar.gz 380805 BLAKE2B da99130ac6d07517976a6e078e8a35896202e066b124ec96577cc1e57f59a2b3476623b9af15dd9e04b2d69e7219c13ad71e55c3bf02e7beee1a10bf37ee5882 SHA512 8a8cc7fa706dcbb95bf35525351dbf0e5dc61041c7e210d81479df84cd40019b727c4244cb83af93c466f676fcf1279155f470c80e63689af01efcb0f38cdb25
diff --git a/dev-python/hatchling/hatchling-1.12.1.ebuild b/dev-python/hatchling/hatchling-1.12.1.ebuild
new file mode 100644
index 000000000000..963b8aa23a67
--- /dev/null
+++ b/dev-python/hatchling/hatchling-1.12.1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_TESTED=( python3_{7,8,9,10,11} pypy3 )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+
+inherit distutils-r1
+
+TAG=${P/-/-v}
+MY_P=hatch-${TAG}
+DESCRIPTION="Modern, extensible Python build backend"
+HOMEPAGE="
+ https://pypi.org/project/hatchling/
+ https://github.com/pypa/hatch/
+"
+SRC_URI="
+ https://github.com/pypa/hatch/archive/${TAG}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/backend
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# deps are listed in backend/src/hatchling/ouroboros.py
+RDEPEND="
+ >=dev-python/editables-0.3[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
+ >=dev-python/pathspec-0.10.1[${PYTHON_USEDEP}]
+ >=dev-python/pluggy-1.0.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.2.2[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/atomicwrites[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ dev-python/platformdirs[${PYTHON_USEDEP}]
+ dev-python/rich[${PYTHON_USEDEP}]
+ dev-python/tomli-w[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ einfo "Skipping tests on ${EPYTHON}"
+ return
+ fi
+
+ local -x EPYTEST_DESELECT=(
+ # these run pip to install stuff
+ tests/backend/dep/test_core.py::test_dependency_found
+ tests/backend/dep/test_core.py::test_extra_met
+ tests/backend/dep/test_core.py::test_extra_no_dependencies
+ tests/backend/dep/test_core.py::test_extra_unmet
+ tests/backend/dep/test_core.py::test_unknown_extra
+ tests/backend/dep/test_core.py::test_version_unmet
+ )
+
+ # top-level "tests" directory contains tests both for hatch
+ # and hatchling
+ cd "${WORKDIR}/${MY_P}" || die
+ local -x PYTHONPATH="src:${PYTHONPATH}"
+ epytest tests/backend
+}
diff --git a/dev-python/jaraco-test/Manifest b/dev-python/jaraco-test/Manifest
index 0f460dbc2328..c7955cb3bd47 100644
--- a/dev-python/jaraco-test/Manifest
+++ b/dev-python/jaraco-test/Manifest
@@ -1,2 +1,3 @@
DIST jaraco.test-5.1.0.tar.gz 6700 BLAKE2B 69ac08ab7e1c8aeff45d25483f2bb2648ad57a5977dbff8aab844f114a15f054b782ad5b424d9baa805ab80fc7483362dc97320965ef0abe86573b1e7f40b97b SHA512 d1d93eab85068fcba94530df50da9221b7f574e58b2c4ed519c8c4dec7231aa982d588e29137418226f23e0f94bd98f47c0859cf14d7a58c1683ac8ccc24d900
DIST jaraco.test-5.2.0.tar.gz 8000 BLAKE2B 21e0714537a9966cc285eb1458f313c354226903ee3da816d7a6620676716cf9c220f82963c8b8ea7ac7a1d641f174d5c72dcca43c68c62e4f929c411aa00d62 SHA512 25cd7d5defda6941569958ce61cf41b54555d54c7dc1e115de409d6da352f8e8c09b8671adbdfdc00cf6f1c60a0d43201680c40dbeda44bdcf11a0e64cb23751
+DIST jaraco.test-5.3.0.tar.gz 8199 BLAKE2B bb44899e9d459350b7edff1a0212afada0765b250e7450c28e15da958632b33a17777d6db2b7ae9984772928003fbd368b6482889816198c971c77fd1f967bcd SHA512 31d2ea0557023c6996b786ee1b2a385ac8f22c2af66baab98c3a6b894bf1eaa7378a595d00bc46a537cc89fe87c9193733968fc8a586a58654b468b712d63728
diff --git a/dev-python/jaraco-test/jaraco-test-5.3.0.ebuild b/dev-python/jaraco-test/jaraco-test-5.3.0.ebuild
new file mode 100644
index 000000000000..34064852894b
--- /dev/null
+++ b/dev-python/jaraco-test/jaraco-test-5.3.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+MY_P=${P/-/.}
+DESCRIPTION="Testing support by jaraco"
+HOMEPAGE="
+ https://github.com/jaraco/jaraco.test/
+ https://pypi.org/project/jaraco.test/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN/-/.}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~x86"
+
+RDEPEND="
+ dev-python/jaraco-context[${PYTHON_USEDEP}]
+ dev-python/jaraco-functools[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # while technically these tests are skipped when Internet is
+ # not available (they test whether auto-skipping works), we don't
+ # want any Internet access whenever possible
+ local EPYTEST_DESELECT=(
+ tests/test_http.py::test_needs_internet
+ )
+ epytest -m "not network"
+}
diff --git a/dev-python/pikepdf/Manifest b/dev-python/pikepdf/Manifest
index 4fc882af8686..522898401e2f 100644
--- a/dev-python/pikepdf/Manifest
+++ b/dev-python/pikepdf/Manifest
@@ -1,3 +1,4 @@
DIST pikepdf-6.2.4.gh.tar.gz 2906023 BLAKE2B 4ca9e6d56260c6e5fcf4e88aae899576d1ae8e1bd0056d423c7db2ba2883582cdddc44d6d81beb77af67a30766b2ae8bd7708345ca46fe16f2a009f9c2d0d36c SHA512 f8316449a9f0ba2b42d0d0fa4e353a131902c074c35dbe26b55946df4ad0c83cdea4b91f7d1dab15287dc08bcce438a5a232950dba3cfee369093706c8cbbc25
DIST pikepdf-6.2.5.gh.tar.gz 2906061 BLAKE2B a74c8e83142d29c204672e24cc9586984ed68d2ccd71d7a900b9bee5e1c4eb30f2242d58e0240a876c85f713dc08096af2c89f0114b872329caa122556cdb876 SHA512 28fcc3caf6aa6c8317c1fe333e9382f753b262deccc7e6adf5983b612ecb06314a3ec3c712c052fff8b186f05329399d74eac8c15565a4f993fea8b927882c0a
DIST pikepdf-6.2.6.gh.tar.gz 2905945 BLAKE2B 3ab7e80ca43c7395994333a47f3ef667b69228cc80c5e03d3264c9dbefaafcd7d367030a90f7836904f141ce497967024264939a50dd59a0ab92e0beca607697 SHA512 a395e6b53792ecbd604424be67ccefd66d4a0a73dc1f22c86ee763e97a2f940d607494d5a0c5172867196932ffa0efac44427dddb277b754fe39e28f41f1fae5
+DIST pikepdf-6.2.7.gh.tar.gz 2906211 BLAKE2B bfc3d8e707b952e214fda3e31ecb0cb44266f41de63f2daea7e13dc944ed8d9d2438ead7a0b6a8f18b6295f52621311f94849b060459d082e75eef0c71713148 SHA512 4cfab0729c0f87bd52f58b9f23af8a4ddd34029b1259e4e2c67a73abfda3b5bd2e8de25962ed70a5497609398453e4f1ea6642e3b01245cb2c70bc09b5ac55f8
diff --git a/dev-python/pikepdf/pikepdf-6.2.7.ebuild b/dev-python/pikepdf/pikepdf-6.2.7.ebuild
new file mode 100644
index 000000000000..4e43f05163cd
--- /dev/null
+++ b/dev-python/pikepdf/pikepdf-6.2.7.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="Python library to work with pdf files based on qpdf"
+HOMEPAGE="
+ https://github.com/pikepdf/pikepdf/
+ https://pypi.org/project/pikepdf/
+"
+SRC_URI="
+ https://github.com/${PN}/${PN}/archive/v${PV/_p/.post}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+DEPEND="
+ >=app-text/qpdf-11.1.1:0=
+"
+RDEPEND="
+ ${DEPEND}
+ dev-python/deprecation[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.0[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/pillow-9[${PYTHON_USEDEP}]
+ >=dev-python/pybind11-2.9.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pybind11-2.9.1[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-7.0.5[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+ test? (
+ >=dev-python/attrs-20.2.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-5[${PYTHON_USEDEP}]
+ >=dev-python/pillow-5.0.0[${PYTHON_USEDEP},jpeg,lcms,tiff]
+ >=dev-python/psutil-5[${PYTHON_USEDEP}]
+ >=dev-python/pytest-6[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.0[${PYTHON_USEDEP}]
+ >=dev-python/python-xmp-toolkit-2.0.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e '/-n auto/d' -i pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pip-run/Manifest b/dev-python/pip-run/Manifest
index 346d6954acf3..7f119aa90f67 100644
--- a/dev-python/pip-run/Manifest
+++ b/dev-python/pip-run/Manifest
@@ -1,4 +1,5 @@
DIST pip-run-10.0.1.gh.tar.gz 25236 BLAKE2B 319f67420f44c4df1ea950f920de16f3187f1465c619fb628123a07ce56b3c63c96490cc9705f38f273a6fe71d868c9cb31193236af50aff903a34755991a241 SHA512 d4ddca5395a1be291b763555f7d634f5740515167bb38f670b1c3af81d7196e1e084b5659f0d981f2328adb340632bfd452e2913f3d56ea012a2587623b28364
+DIST pip-run-10.0.2.gh.tar.gz 25253 BLAKE2B 9ed3066e70109e64a907426752757881d1c95af304f5f114a270e767945d327ec49eebf2bcae1f2f469151446626cb5204d419c63e8701ec90091a4522a9cd7b SHA512 2d0e8e891aa93b36daefa9259a437ea29860bdc07d986f244ad3fc485351a50f68b5ba53fe6431e42b7a04c437195ef58342674b247f001a4aea5181f31ee03d
DIST pip-run-9.0.0.gh.tar.gz 23171 BLAKE2B ca1bee27f4d1826029aa2520dbad9807d22ce66326fd917f0b7687284ce3daf9abcd45e593d735633fb86186ea88ffa0b71780f9b56e27458798763db309bd9d SHA512 117b2260fe628dcc5aae47335ab645c2db47ca9b4d5cd0446ef11bb399c0e91df3a32b61aa7a228aca4d7b837228ddb41fe010896f7debf5fbca6111398cce73
DIST pip-run-9.2.1.gh.tar.gz 24104 BLAKE2B ebb26cd5356a5919d74c6601b36deed0046c0d67d7533f5817b62b7b7ba74240ef44dd2425be7143f8432d3f8a3f611a051f099b6059e64479eadd77e8f39b45 SHA512 f320da7641817df5c9418094fb49792e3368907ddac551ef22d97ab45b5183cb84f40338da106d5a47d238ca68ca376cbfc6d6c3528b9fca1db02bf910bd3d28
DIST pip-run-9.4.0.gh.tar.gz 25821 BLAKE2B 8d4d9712f0563d3edf8d963e14221fde89cffc14c3fb26afc2b18bdeca9917cacb27c88a815d398d2b67f10112e888c9f60b497c3c1bf59d0105a4c972aef15d SHA512 c266e6eb30f21ddfd89cc25dee5c56542b3734497d59315751c190e7bd985c6746b95802255ec05da19d5cec8822f4fa169eba4218989013e36a2c118d560f4d
diff --git a/dev-python/pip-run/pip-run-10.0.2.ebuild b/dev-python/pip-run/pip-run-10.0.2.ebuild
new file mode 100644
index 000000000000..12c8f5b361bc
--- /dev/null
+++ b/dev-python/pip-run/pip-run-10.0.2.ebuild
@@ -0,0 +1,64 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Install packages and run Python with them"
+HOMEPAGE="
+ https://github.com/jaraco/pip-run/
+ https://pypi.org/project/pip-run/
+"
+SRC_URI="
+ https://github.com/jaraco/pip-run/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~x86"
+
+RDEPEND="
+ dev-python/autocommand[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_resources[${PYTHON_USEDEP}]
+ ' 3.8)
+ dev-python/jaraco-context[${PYTHON_USEDEP}]
+ dev-python/jaraco-functools[${PYTHON_USEDEP}]
+ dev-python/jaraco-text[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-8.3[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/path[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/platformdirs[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jaraco-path[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-test-5.3[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ local EPYTEST_IGNORE=()
+
+ if ! has_version "dev-python/nbformat[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ tests/test_scripts.py
+ )
+ fi
+
+ epytest -m "not network"
+}
diff --git a/dev-python/pypdf/Manifest b/dev-python/pypdf/Manifest
new file mode 100644
index 000000000000..7a54a7d699ae
--- /dev/null
+++ b/dev-python/pypdf/Manifest
@@ -0,0 +1,2 @@
+DIST pypdf-3.2.0.gh.tar.gz 6618810 BLAKE2B 33ade8743339415b58f2397a55972479bdfd6ed87c68ea9cc1c9f05c80210a6265e97f1f26dfc3bd2bd74c6c11ab45d8a3d9ded1b150e96f804f9893c74fb517 SHA512 a3db36086733f6bfdfd4e6b56dc976e30c2940362fcf1e8b4c61b3c8d421c870821eb7c5dcbc41e6362f487d474c5d2bcfbe6b9aabd8c496d3a030aa40d1af57
+DIST pypdf-sample-files-0fe84b30ed33ff3daa9293e44349b8618f135699.gh.tar.gz 9027166 BLAKE2B 912bb9fbd632bd0ad2cc2e865a1e6870ad7064aa2cf4d6f96217f63ac685e9a511f0bb20c22d48ae970a2eb171b27a0fa680fa42892425531f69735840cf741b SHA512 07a71a3566dabcea5dc8a549949d0f0c0f9483d5d9f85851d6e4e702dd374b348469a80e5300d18983e560ee9a44d0639b55eb338023b9ebbdb26c6f8c455e07
diff --git a/dev-python/pypdf/metadata.xml b/dev-python/pypdf/metadata.xml
new file mode 100644
index 000000000000..853174b8f2ab
--- /dev/null
+++ b/dev-python/pypdf/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pypdf/pypdf-3.2.0.ebuild b/dev-python/pypdf/pypdf-3.2.0.ebuild
new file mode 100644
index 000000000000..d8ea571138e4
--- /dev/null
+++ b/dev-python/pypdf/pypdf-3.2.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=0fe84b30ed33ff3daa9293e44349b8618f135699
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+ https://pypi.org/project/pypdf/
+ https://github.com/py-pdf/pypdf/
+"
+SRC_URI="
+ https://github.com/py-pdf/pypdf/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+ -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+ )
+"
+S=${WORKDIR}/pypdf-${PV}
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+RESTRICT="test"
+# 150+ tests require network, too many to deselect
+PROPERTIES="test_network"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ dev-python/pillow[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # rely on -Werror
+ tests/test_utils.py::test_deprecate_no_replacement
+ tests/test_workflows.py::test_orientations
+ # dead URL
+ # https://github.com/py-pdf/pypdf/issues/1526
+ tests/test_xmp.py::test_issue585
+)
+
+src_unpack() {
+ default
+ if use test; then
+ mv "sample-files-${SAMPLE_COMMIT}"/* "${S}"/sample-files/ || die
+ fi
+}
diff --git a/dev-python/time-machine/Manifest b/dev-python/time-machine/Manifest
index a8fc15ce2551..a418d0444381 100644
--- a/dev-python/time-machine/Manifest
+++ b/dev-python/time-machine/Manifest
@@ -1 +1,2 @@
DIST time-machine-2.8.2.gh.tar.gz 27856 BLAKE2B 2669bacfc7fb9d10186d6053ee155ca7dd28ec3da688971baa371eb8e095a8694e955797bdf1b556056e79277d46c2382dd06979d8e960da5731c3710018e445 SHA512 f49442fe2b846676abca15a9e7231a4b59e8d520482a4ef2294eac9a4e2c0866836d6bd9bec42202bf5f9e94766e9c2a00d4f7c6eb76d5cbc8a702fceef4294c
+DIST time-machine-2.9.0.gh.tar.gz 28043 BLAKE2B 9a9a521c94b72a7464853661da791b6f57f5155ddc62ffceeb82f808903f4c337e6bf48fe8300bb4f9f5673fd175fd85038a4e80a39e8f3e096c12c27ee790ec SHA512 ecc780a72d279b49d026a8f3f89210cb4c90e02c5a517c08eadbabcb65216a24c603ace39afd76ea1e6ccdef589d5997581d0db7477bb28fe4d1e0510daf17a0
diff --git a/dev-python/time-machine/time-machine-2.9.0.ebuild b/dev-python/time-machine/time-machine-2.9.0.ebuild
new file mode 100644
index 000000000000..288185a4378e
--- /dev/null
+++ b/dev-python/time-machine/time-machine-2.9.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Travel through time in your tests"
+HOMEPAGE="
+ https://github.com/adamchainz/time-machine/
+ https://pypi.org/project/time-machine/
+"
+SRC_URI="
+ https://github.com/adamchainz/time-machine/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc"
+
+RDEPEND="
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/backports-zoneinfo[${PYTHON_USEDEP}]
+ ' 3.8)
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/xlsxwriter/Manifest b/dev-python/xlsxwriter/Manifest
index 1f8917edde83..1b00e405eaf1 100644
--- a/dev-python/xlsxwriter/Manifest
+++ b/dev-python/xlsxwriter/Manifest
@@ -1,2 +1,3 @@
DIST XlsxWriter-RELEASE_3.0.3.tar.gz 35519702 BLAKE2B f4dfa6b286dda94a1a44d8168b8e17f7a37f2f59a23aa3a5ed0efa46b5d8bdcdb831e99a61924e22755c6a921c23f5c540c048152cd07363841ff09a49549c79 SHA512 92a53226aa9ee9f8493fe7171ce752f3a13ef8f3107aecbef896f17022e93bd7dbccb5e619fcbbb3598102030b190d75508d4dacce20b9643eead59a4441f6aa
DIST XlsxWriter-RELEASE_3.0.4.gh.tar.gz 35033608 BLAKE2B 49a54380f1753077f0d9e56024a09ffd9d26540daeb03c270e892ae986c8e36fb0ce74ab96e62b1cb15adebbb51ba2093b6b1e356077433537af62ededd79d5c SHA512 e10bbbcc975ee3c2395c642c7a04e53d792b8c739c9f5acbb3858b47963a0f9b68ac565d96d4a9f9c87b104fc02b8930b0629e753d53735892e10bd17e5c1fcc
+DIST XlsxWriter-RELEASE_3.0.5.gh.tar.gz 35038123 BLAKE2B 8ab88d1cf8decb24a1adcd2d2720ab2c90a87088441dbf1fb6a039977ddeb1824b2c29e38aedfb2a1d5cc9adb99154ee36a4eef18876826082d34c87ff7dafdd SHA512 74c3708cd81bec44865cfdcbd3ae41c5794d26d176a3c5c22133a32e6000eda7a2d28292d81406d277c351c27a8c4ce30b0d9b2152fc9119e903fe264f7be406
diff --git a/dev-python/xlsxwriter/xlsxwriter-3.0.5.ebuild b/dev-python/xlsxwriter/xlsxwriter-3.0.5.ebuild
new file mode 100644
index 000000000000..5878ec751f37
--- /dev/null
+++ b/dev-python/xlsxwriter/xlsxwriter-3.0.5.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+TAG=RELEASE_${PV}
+MY_P=XlsxWriter-${TAG}
+DESCRIPTION="Python module for creating Excel XLSX files"
+HOMEPAGE="
+ https://github.com/jmcnamara/XlsxWriter/
+ https://pypi.org/project/XlsxWriter/
+"
+SRC_URI="
+ https://github.com/jmcnamara/XlsxWriter/archive/${TAG}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+distutils_enable_tests pytest